const cache = new Map();

const loadLocale = async (lang: string) => {
	const localeModule: any = await import("intl-tel-input/locale");
	return localeModule?.[lang];
};

function fetchTranslation(lang: string): Promise<any> {
	if (!cache.has(lang)) {
		cache.set(lang, loadLocale(lang));
	}
	return cache.get(lang);
}

export default fetchTranslation
